Bug 431213 - Networking (ping.exe) doesn't run under wine
Networking (ping.exe) doesn't run under wine
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.winehq.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 10:29 EST by Răzvan Sandu
Modified: 2008-06-17 05:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 05:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2008-02-01 10:29:59 EST
Description of problem:

It seems there is a known problem with running ping in recent wine, please se here:

http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg509338.html

Actually, I didn't managed to get network under wine, despite the fact the Linux
host *has* network access. /etc/hosts is configured as indicated in wine's FAQ.


Version-Release number of selected component (if applicable):
wine-0.9.52-2.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Install a fresh copy of Fedora.
2. Configure networking
2. Configure /etc/hosts as described in wine's FAQ
3. Positively test that Linux's networking works.
4. Try to run ping.exe under wine.
  
Actual results:
Networking under wine doesn't work, disabling all Windows programs that need
network access.

Expected results:
Windows programs should have network access under wine.

Additional info:
Comment 1 Andreas Bierfert 2008-02-01 18:11:13 EST
Please make sure you have the latest wine version installed (0.9.54) and follow
the wine bug reporting procedure outlined here:
http://fedoraproject.org/wiki/AndreasBierfert/Wine.

Aside from that: network is working fine here.
Comment 2 Marius Strâcnă 2008-02-06 08:00:58 EST
Hello,

On my computer, which runs Fedora 8 + all updates and wine 0.9.54, programs like
Firefox for Windows, Internet Explorer *does have* Internet access.

However, „ping.exe” doesn't work (there is no firewall problem, it's completely
disabled).

When trying to run ping.exe, I get the following error:

Z:\root>ping 192.168.1.2
wine: Call from 0x1002152 to unimplemented function iphlpapi.dll.IcmpCreateFile,
aborting
wine: Unimplemented function iphlpapi.dll.IcmpCreateFile called at address
0x1002152 (thread 0016), starting debugger...
Unhandled exception: unimplemented function iphlpapi.dll.IcmpCreateFile called
in 32-bit code (0x6a89343c).
Register dump:
 CS:0073 SS:007b DS:007b ES:007b FS:0033 GS:003b
 EIP:6a89343c ESP:0033f900 EBP:0033f964 EFLAGS:00000202(   - 00      - - I1)
 EAX:01002f7a EBX:6a8df438 ECX:00110048 EDX:0011004c
 ESI:0033f90c EDI:00000002
Stack dump:
0x0033f900:  6059a69a 00110000 00000000 80000100
0x0033f910:  00000001 00000000 01002152 00000002
0x0033f920:  01002f8a 01002f7a 00000001 00000000
0x0033f930:  00000004 00000000 00000000 00000000
0x0033f940:  00000000 00000000 00000000 00000000
0x0033f950:  0033fe8c 01001af8 00120470 001103c9
Backtrace:
=>1 0x6a89343c in ntdll (+0x3343c) (0x0033f964)
  2 0x01002152 in ping (+0x2152) (0x0033fe8c)
  3 0x010029eb in ping (+0x29eb) (0x0033ff08)
  4 0x6031bcde in kernel32 (+0x5bcde) (0x0033ffe8)
  5 0x60024757 (0x00000000)
0x6a89343c: subl        $4,%esp
Modules:
Module  Address                 Debug info      Name (53 modules)
ELF       1cd000-  2c9000       Deferred        libx11.so.6
ELF       2cb000-  357000       Export          libfreetype.so.6
ELF       359000-  37a000       Deferred        libexpat.so.1
ELF       3a4000-  3d3000       Deferred        libfontconfig.so.1
ELF       49e000-  4b9000       Deferred        libselinux.so.1
ELF       49e000-  4b9000       Deferred        libselinux.so.1
ELF       4bb000-  4c0000       Deferred        libxfixes.so.3
ELF       514000-  51d000       Deferred        libxrender.so.1
ELF       585000-  69a000       Deferred        libwine.so.1
ELF       5ec000-  5f6000       Deferred        libxcursor.so.1
ELF       a38000-  a3b000       Deferred        libxinerama.so.1
ELF       a5d000-  a71000       Deferred        libresolv.so.2
ELF       abe000-  b2f000       Deferred        libgl.so.1
ELF       b6f000-  b8c000       Deferred        ld-linux.so.2
ELF       b8e000-  ce7000       Deferred        libc.so.6
ELF       ce9000-  d12000       Deferred        libm.so.6
ELF       d14000-  d19000       Deferred        libdl.so.2
ELF       d1b000-  d34000       Deferred        libpthread.so.0
ELF       d56000-  d5c000       Deferred        libxdmcp.so.6
ELF       d5e000-  d7a000       Deferred        libxcb.so.1
ELF       d7c000-  d7f000       Deferred        libxau.so.6
ELF       d81000-  d83000       Deferred        libxcb-xlib.so.0
ELF       dcd000-  ddd000       Deferred        libxext.so.6
ELF       df2000-  df9000       Deferred        libxrandr.so.2
ELF       dfb000-  dfe000       Deferred        libxcomposite.so.1
PE       1000000- 1008000       Export          ping
ELF      6fc3000- 6fc6000       Deferred        libxdamage.so.1
ELF      6fd5000- 6fda000       Deferred        libxxf86vm.so.1
ELF      77c7000- 77e1000       Deferred        libice.so.6
ELF      7807000- 7810000       Deferred        libsm.so.6
ELF     602a9000-603e0000       Export          kernel32<elf>
  \-PE  602c0000-603e0000       \               kernel32
ELF     603e0000-603ec000       Deferred        libnss_files.so.2
ELF     603ec000-6045a000       Deferred        msvcrt<elf>
  \-PE  60400000-6045a000       \               msvcrt
ELF     6045a000-604aa000       Deferred        advapi32<elf>
  \-PE  60470000-604aa000       \               advapi32
ELF     604aa000-604c9000       Deferred        iphlpapi<elf>
  \-PE  604b0000-604c9000       \               iphlpapi
ELF     604dd000-6057f000       Deferred        gdi32<elf>
  \-PE  604f0000-6057f000       \               gdi32
ELF     6057f000-605ac000       Deferred        ws2_32<elf>
  \-PE  60590000-605ac000       \               ws2_32
ELF     60688000-60720000       Deferred        winex11<elf>
  \-PE  606a0000-60720000       \               winex11
ELF     6088e000-60ad1000       Deferred        i915_dri.so
ELF     6260b000-62629000       Deferred        imm32<elf>
  \-PE  62610000-62629000       \               imm32
ELF     6a851000-6a8fb000       Export          ntdll<elf>
  \-PE  6a860000-6a8fb000       \               ntdll
ELF     76c38000-76d85000       Deferred        user32<elf>
  \-PE  76c50000-76d85000       \               user32
ELF     7bf00000-7bf03000       Deferred        <wine-loader>
Threads:
process  tid      prio (all id:s are in hex)
00000008 
        00000009    0
0000000a 
        0000000b    0
0000000c 
        0000000f    0
        0000000e    0
        0000000d    0
00000012 
        00000014    0
        00000013    0
00000015 (D) C:\windows\system32\ping.exe
        00000016    0 <==
Backtrace:
=>1 0x6a89343c in ntdll (+0x3343c) (0x0033f964)
  2 0x01002152 in ping (+0x2152) (0x0033fe8c)
  3 0x010029eb in ping (+0x29eb) (0x0033ff08)
  4 0x6031bcde in kernel32 (+0x5bcde) (0x0033ffe8)
  5 0x60024757 (0x00000000)
wine: Call from 0x1002152 to unimplemented function iphlpapi.dll.IcmpCreateFile,
aborting
wine: Call from 0x1002152 to unimplemented function iphlpapi.dll.IcmpCreateFile,
aborting
Z:\root>


Trying to check access to an Oracle database via tnsping80, I get:

Z:\root>tnsping80 mex
ALSA lib conf.c:3949:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default:0
ALSA lib conf.c:3949:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default:0

TNS Ping Utility for 32-bit Windows: Version 8.0.6.0.0 - Production on 06-FEB-08
14:38:29

(c) Copyright 1997 Oracle Corporation.  All rights reserved.

Attempting to contact
(ADDRESS=(COMMUNITY=tcp.world)(PROTOCOL=TCP)(Host=192.168.1.2)(Port=1521))
TNS-12538: TNS:no such protocol adapter


Could you please help ?


Regards,
Marius
Comment 3 Răzvan Sandu 2008-02-06 08:04:33 EST
Yes, I shared the experience in comment #2.

Regards,
Răzvan
Comment 4 Răzvan Sandu 2008-02-06 08:49:14 EST
Hello again,


What I am actually trying to do in wine is to run (the client part of) an old
proprietary application (ERP), based on Oracle Forms & Reports Developer 6i
(CROS, please see http://www.crisoft.ro)

This is 7 years old, but business-critical and cannot be changed (for the
moment) or done Web-based.

Getting a robust alternative solution will allow me to eliminate the last
application that ties my network to Windows and migrate all workstations to
GNU/Linux and OpenOffice.org instead of Windows Vista and MS Office 2007 (a move
is mandatory due XPs end of life).


*Please* help me to get rid of Windows for good !  ;-)


Răzvan
Comment 5 Andreas Bierfert 2008-02-06 09:15:19 EST
Well comment #2 clearly shows whats wrong: Some icmp handling is not implemented
which ping would need. Now the question is why that is the case and if you
should fill a bug upstream but I see it as this:

Some programs will need raw socket access which at least needs setuid root (see
`ls -la /bin/ping`). Wine should never ever be run as root or have setuid root
for that matter so this is something which cannot really be fixed easily. E.g.
see http://www.winehq.org/?issue=337#Wine%20as%20root%20and%20SOCK_RAW
Comment 6 Răzvan Sandu 2008-02-07 06:15:18 EST
Thanks, Andreas, for your insight !

Beyond the discussion about ping itself (and even tnsping80, please see comment
#2), the main question is: can we run "Oracle Developer Forms and Reports 6i,
release 2" using wine ?

I cannot check wine's application database - it seems to be down.

As I said in comment #3, the final objective is to run the client part of an
Oracle application, which is based on Oradev6i, using wine on Fedora 8/9 (or
Ubuntu).

Any additional help, such as points to documentation to reach this goal or
forwarding this question to the wine developers upstream will be highly appreciated.

Many thanks and regards,
Răzvan
Comment 7 Bug Zapper 2008-05-14 00:58:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Andreas Bierfert 2008-06-17 05:59:38 EDT
Sorry for the late reply. I do not know if you can run this software on wine.
Since 1.0 will be out in the next days please talk the the wine folks about
application requests/problems you have as this is out of the scope for the
fedora wine package.

Note You need to log in before you can comment on or make changes to this bug.